Bug 100625

Summary: [Refactoring] Remove ElementShadow::insertionPointFor
Product: WebKit Reporter: Shinya Kawanaka <shinyak>
Component: DOMAssignee: Shinya Kawanaka <shinyak>
Status: RESOLVED FIXED    
Severity: Normal CC: webcomponents-bugzilla, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 97279    
Attachments:
Description Flags
Patch
none
Patch for landing
none
Patch for landing none

Description Shinya Kawanaka 2012-10-28 21:32:25 PDT
Now that it does not do something special. 
We can remove it.

This is a follow-up bug for https://bugs.webkit.org/show_bug.cgi?id=99228
Comment 1 Shinya Kawanaka 2012-10-28 21:43:19 PDT
Created attachment 171155 [details]
Patch
Comment 2 Hajime Morrita 2012-10-29 05:58:26 PDT
Comment on attachment 171155 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=171155&action=review

> Source/WebCore/ChangeLog:8
> +        Now that ElementShadow::insertionPointFor does not do some special things, and it's only used in

s/some/any/
Comment 3 Shinya Kawanaka 2012-10-29 19:57:06 PDT
Created attachment 171362 [details]
Patch for landing
Comment 4 Shinya Kawanaka 2012-10-29 19:58:35 PDT
Created attachment 171363 [details]
Patch for landing
Comment 5 WebKit Review Bot 2012-10-30 00:00:45 PDT
Comment on attachment 171363 [details]
Patch for landing

Clearing flags on attachment: 171363

Committed r132874: <http://trac.webkit.org/changeset/132874>
Comment 6 WebKit Review Bot 2012-10-30 00:00:49 PDT
All reviewed patches have been landed.  Closing bug.